curl --request GET \
--url https://sandbox.birrpay.io/events/{merchant_id}/{event_id}/attempts \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.birrpay.io/events/{merchant_id}/{event_id}/attempts"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.birrpay.io/events/{merchant_id}/{event_id}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"event_id": "evt_018e31720d1b7a2b82677d3032cab959",
"merchant_id": "y3oqhf46pyzuxjbcn2giaqnb44",
"profile_id": "SqB0zwDGR5wHppWf0bx7GKr1f2",
"object_id": "QHrfd5LUDdZaKtAjdJmMu0dMa1",
"event_type": "payment_succeeded",
"event_class": "payments",
"initial_attempt_id": "evt_018e31720d1b7a2b82677d3032cab959",
"created": "2022-09-10T10:11:12Z",
"request": {
"body": "<string>",
"headers": [
[
"content-type",
"application/json"
],
[
"content-length",
"1024"
]
]
},
"response": {
"body": "<string>",
"headers": [
[
"content-type",
"application/json"
],
[
"content-length",
"1024"
]
],
"status_code": 200,
"error_message": 200
},
"is_delivery_successful": true,
"delivery_attempt": "initial_attempt"
}
]Events - Delivery Attempt List
List all delivery attempts for the specified Event.
Authorizations
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Merchant Connector account.
Path Parameters
The unique identifier for the Merchant Account.
The unique identifier for the Event
Response
List of delivery attempts retrieved successfully
The identifier for the Event.
64"evt_018e31720d1b7a2b82677d3032cab959"
The identifier for the Merchant Account.
64"y3oqhf46pyzuxjbcn2giaqnb44"
The identifier for the Business Profile.
64"SqB0zwDGR5wHppWf0bx7GKr1f2"
The identifier for the object (Payment Intent ID, Refund ID, etc.)
64"QHrfd5LUDdZaKtAjdJmMu0dMa1"
payment_succeeded, payment_failed, payment_processing, payment_cancelled, payment_cancelled_post_capture, payment_authorized, payment_partially_authorized, payment_captured, payment_expired, action_required, refund_succeeded, refund_failed, dispute_opened, dispute_expired, dispute_accepted, dispute_cancelled, dispute_challenged, dispute_won, dispute_lost, mandate_active, mandate_revoked, payout_success, payout_failed, payout_initiated, payout_processing, payout_cancelled, payout_expired, payout_reversed, invoice_paid payments, refunds, disputes, mandates, payouts, subscriptions The identifier for the initial delivery attempt. This will be the same as event_id for
the initial delivery attempt.
64"evt_018e31720d1b7a2b82677d3032cab959"
Time at which the event was created.
"2022-09-10T10:11:12Z"
The request information (headers and body) sent in the webhook.
Show child attributes
Show child attributes
The response information (headers, body and status code) received for the webhook sent.
Show child attributes
Show child attributes
Indicates whether the webhook was ultimately delivered or not.
initial_attempt, automatic_retry, manual_retry